%define major 0
%define libname %mklibname gexiv2_ %major
%define develname %mklibname -d gexiv2

Summary:	A GObject-based wrapper around the Exiv2 library
Name:		libgexiv2
Version:	0.3.0
Release:	%mkrel 5
License:	GPLv2+
Group:		Graphics
Source0:	http://yorba.org/download/gexiv2/0.3/%{name}-%{version}.tar.bz2
Patch1:		libgexiv2-0.2.1-link.patch
Url:		http://trac.yorba.org/wiki/gexiv2
BuildRequires:	libexiv-devel >= 0.21
BuildRequires:	glib2-devel
BuildRequires:	libtool
BuildRequires:	sed

%description
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%package -n %libname
Summary: A GObject-based wrapper around the Exiv2 library
Group: Graphics

%description -n %libname
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%package -n %develname
Group: Development/C
Summary: A GObject-based wrapper around the Exiv2 library
Requires: libexiv-devel  >= 0.21
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p0
sed -i -e 's#libdir=.*#libdir=${exec_prefix}/%{_lib}#' gexiv2.m4

%build
%configure2_5x
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std LIB=%{_lib}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%{_includedir}/gexiv2
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc
%{_datadir}/vala/vapi/gexiv2.vapi


%changelog
* Thu Mar 24 2011 boklm <boklm> 0.3.0-5.mga1
+ Revision: 76169
- rebuild for bug #497

* Thu Mar 10 2011 mikala <mikala> 0.3.0-4.mga1
+ Revision: 67683
- Add Requires for libexiv-devel on -devel package

* Thu Mar 10 2011 mikala <mikala> 0.3.0-3.mga1
+ Revision: 67592
- Remove BuildRoot
- imported package libgexiv2


* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 0.3.0-2mdv2011.0
+ Revision: 640542
- update BR
- rebuild to obsolete old packages

* Sun Jan 30 2011 Funda Wang <fwang@mandriva.org> 0.3.0-1
+ Revision: 634101
- New version 0.3.0

* Sun Jan 30 2011 Funda Wang <fwang@mandriva.org> 0.2.2-1
+ Revision: 634083
- update to new version 0.2.2

* Sun Dec 05 2010 Funda Wang <fwang@mandriva.org> 0.2.1-1mdv2011.0
+ Revision: 609601
- new version 0.2.1

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 0.1.0-2mdv2011.0
+ Revision: 565536
- bump rel
- import libgexiv2


